lesspipe

Input Filter for the Pager "less"

The script runs under a ksh compliant shell (ksh, bash, zsh) and allows to view files with binary content, compressed files, archives and files contained in archives. A large and growing number of formats are supported both as plain and compressed files using compress, gzip, bzip2 or zip. Lesspipe has colorizing support for the languages ada, asm, awk, c, c++, groff, html, xml, java, javascript, lisp, m4, make, pascal, patch, perl, povray, python, ruby, shellscript and sql.

There is no official package available for openSUSE Leap 15.2

Distributions

openSUSE Tumbleweed

openSUSE Leap 15.2

openSUSE Leap 15.1

SUSE SLE-15-SP1

SUSE SLE-15

CentOS CentOS-8

Unsupported distributions

The following distributions are not officially supported. Use these packages at your own risk.

openSUSE:11.4

openSUSE:Leap:42.2

openSUSE:Leap:42.3